Add object to circularity-hub.
POST
/customer-api/v1/circularity-hub/add-objects-to-circularity-hub
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");curl_easy_setopt(hnd, CURLOPT_URL, "https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Authorization: Bearer <token>");headers = curl_slist_append(headers, "Content-Type: application/json");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{ \"e8907bf9-90b3-4ea4-998c-242fab57d6a7\": { \"category\": \"<value>\", \"price\": \"<value>\" } }");
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"e8907bf9-90b3-4ea4-998c-242fab57d6a7\": { \"category\": \"<value>\", \"price\": \"<value>\" } }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub"
payload := strings.NewReader("{ \"e8907bf9-90b3-4ea4-998c-242fab57d6a7\": { \"category\": \"<value>\", \"price\": \"<value>\" } }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub")) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{ \"e8907bf9-90b3-4ea4-998c-242fab57d6a7\": { \"category\": \"<value>\", \"price\": \"<value>\" } }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"e8907bf9-90b3-4ea4-998c-242fab57d6a7\": { \"category\": \"<value>\", \"price\": \"<value>\" } }");Request request = new Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: { 'e8907bf9-90b3-4ea4-998c-242fab57d6a7': {category: '<value>', price: '<value>'} }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"e8907bf9-90b3-4ea4-998c-242fab57d6a7":{"category":"<value>","price":"<value>"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"e8907bf9-90b3-4ea4-998c-242fab57d6a7\": { \"category\": \"<value>\", \"price\": \"<value>\" } }")val request = Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'e8907bf9-90b3-4ea4-998c-242fab57d6a7' => [ 'category' => '<value>', 'price' => '<value>' ] ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ],]);
$response = curl_exec($curl);$err = curl_error($curl);
curl_close($curl);
if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub', [ 'body' => '{ "e8907bf9-90b3-4ea4-998c-242fab57d6a7": { "category": "<value>", "price": "<value>" } }', 'headers' => [ 'Authorization' => 'Bearer <token>', 'Content-Type' => 'application/json', ],]);
echo $response->getBody();import http.client
conn = http.client.HTTPSConnection("your-instance.seventhings.com")
payload = "{ \"e8907bf9-90b3-4ea4-998c-242fab57d6a7\": { \"category\": \"<value>\", \"price\": \"<value>\" } }"
headers = { 'Authorization': "Bearer <token>", 'Content-Type': "application/json"}
conn.request("POST", "/customer-api/v1/circularity-hub/add-objects-to-circularity-hub", payload, headers)
res = conn.getresponse()data = res.read()
print(data.decode("utf-8"))import requests
url = "https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub"
payload = { "e8907bf9-90b3-4ea4-998c-242fab57d6a7": { "category": "<value>", "price": "<value>" } }headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.json())use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub";
let payload = json!({"e8907bf9-90b3-4ea4-998c-242fab57d6a7": json!({ "category": "<value>", "price": "<value>" })});
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hub \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "e8907bf9-90b3-4ea4-998c-242fab57d6a7": { "category": "<value>", "price": "<value>" } }'wget --quiet \ --method POST \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --body-data '{ "e8907bf9-90b3-4ea4-998c-242fab57d6a7": { "category": "<value>", "price": "<value>" } }' \ --output-document \ - https://your-instance.seventhings.com/customer-api/v1/circularity-hub/add-objects-to-circularity-hubAdd object to circularity-hub.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
A map of object UUIDs with user given category and price
object
key
additional properties
Given category and price
object
key
additional properties
any
Example
{ "category": "<value>", "price": "<price>"}Example
{ "e8907bf9-90b3-4ea4-998c-242fab57d6a7": { "category": "<value>", "price": "<value>" }}Responses
Section titled “Responses”Success
Request body is missing or invalid or request data is invalid.
Access token is missing or invalid.
You are not permitted to perform the requested operation.
The requested resource could not be found.
The requested resource representation has no acceptable format.
The requested entry is not processable.
Internal Server Error.

